(function($) {

  $("#hamburger-menu").click(function(event) {
    event.stopPropagation();
    $(".header-navigation").addClass("open");

  });

    $(".close-menu").click(function(event) {
    event.stopPropagation();
    $(".header-navigation").removeClass("open");

  });

  $("#hamburger-menu").keypress(function(e) {
    var key = e.which;
    if (key == 13) // the enter key code
    {
      $(".header-navigation").addClass("open");
    }
  });

  $(".close-menu").keypress(function(e) {
    var key = e.which;
    if (key == 13) // the enter key code
    {
      $(".header-navigation").removeClass("open");
    }
  });





})(jQuery);

if (jQuery(window).width() < 991){
  const  musicvibe_focusableElements =
  'button, [href], input, select, textarea, [tabindex]:not([tabindex="-1"])';
const musicvibe_modal = document.querySelector('nav#site-navigation'); 

const musicvibe_firstFocusableElement = musicvibe_modal.querySelectorAll(musicvibe_focusableElements)[0]; 
const musicvibe_focusableContent = musicvibe_modal.querySelectorAll(musicvibe_focusableElements);
const musicvibe_lastFocusableElement = musicvibe_focusableContent[musicvibe_focusableContent.length - 1];


document.addEventListener('keydown', function(e) {
let isTabPressed = e.key === 'Tab' || e.keyCode === 9;

if (!isTabPressed) {
  return;
}

if (e.shiftKey) { // if shift key pressed for shift + tab combination
  if (document.activeElement === musicvibe_firstFocusableElement) {
    musicvibe_lastFocusableElement.focus(); // add focus for the last focusable element
    e.preventDefault();
  }
} else { // if tab key is pressed
  if (document.activeElement === musicvibe_lastFocusableElement) { // if focused has reached to last focusable element then focus first focusable element after pressing tab
    musicvibe_firstFocusableElement.focus(); // add focus for the first focusable element
    e.preventDefault();
  }
}
});

musicvibe_firstFocusableElement.focus();}